> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/sdn/location/describedatacenters.md).

# DescribeDatacenters

## 1. API Description

This API (DescribeDatacenters) is used to query Data Centers

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type            | Description                                                                                                         |
| --------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------- |
| dcIds           | No       | Array of String | List of data center four-letter codes, composed of the airport three-letter code plus a numeric suffix.             |
| isPortAvailable | No       | Boolean         | Filter data centers by whether they support creating new data center ports (true: supported, false: not supported). |

## 3. Output Parameters

| Parameter Name | Type                                                                                  | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| dcSet          | Array of [DataCenterAssemble](/api-reference/sdn/datastructure.md#datacenterassemble) | Result set.                                                                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Filter by dcId to get the data center information for Singapore 1.**

```
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeDatacenters
<Common Request Params>

Request: 
{
    "dcIds": ["SIN1"]
}

Response: 
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
        "dcSet": [{
            "dcId":"SIN1",
            "dcName":"AP-Singapore1",
            "cityName":"Singapore",
            "areaName":"Asia Pacific",
            "countryName":"Singapore",
            "dcAddress":"20 Ayer Rajah Crescent, Ayer Rajah Industrial Park, Singapore 139964",
            "latitude":1.28967000,
            "longitude":103.85007000,
            "isPortAvailable":true,
            "availableBandwidth":1000,
            "regionId":"asia-southeast-1"
        }]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
